Home

# Class goog.ui.RoundedTabRenderer

Rounded corner tab renderer for {@link goog.ui.Tab}s.

extends goog.ui.TabRenderer

Instance Method Summary
| `createCaption(?goog.dom.DomHelper dom, ?goog.ui.ControlContent caption) ⇒ ?Element` Creates a table row implementing the tab caption.

`createDom(?goog.ui.Control control) ⇒ ?Element`

Creates the tab's DOM structure, based on the containing tab bar's location relative to tab contents. For example, the DOM for a tab in a tab bar located above tab contents would look like this:

    Hello, world

| `createEdge(?goog.dom.DomHelper dom, boolean isTopEdge) ⇒ ?Element` Creates a table row implementing a rounded tab edge.
| `createTab(?goog.dom.DomHelper dom, ?goog.ui.ControlContent caption, ?goog.ui.TabBar.Location location) ⇒ ?Element` Creates a table implementing a rounded corner tab.
| `decorate(?goog.ui.Control control, ?Element element) ⇒ ?Element` Decorates the element with the tab. Overrides the superclass implementation by wrapping the tab's content in a table that implements rounded corners.
| `getContentElement(?Element element) ⇒ ?Element` Takes the control's root element and returns the parent element of the control's contents. Since by default controls are rendered as a single DIV, the default implementation returns the element itself. Subclasses with more complex DOM structures must override this method as needed.
| `getCssClass() ⇒ string` Returns the CSS class name to be applied to the root element of all tabs rendered or decorated using this renderer.